std::back_insert_iterator::operator=(3)

NAME
std::back_insert_iterator::operator= - std::back_insert_iterator::operator=

Synopsis
   back_insert_iterator<Container>&
   operator=( typename Container::const_reference (until C++11)
   value );
   back_insert_iterator<Container>& (since C++11)
   operator=( const typename Container::value_type& (until C++20)
   value );
   constexpr back_insert_iterator<Container>&
   operator=( const typename Container::value_type& (1) (since C++20)
   value );
   back_insert_iterator<Container>& (since C++11)
   operator=( typename Container::value_type&& (until C++20)
   value ); (2)
   constexpr back_insert_iterator<Container>&
   operator=( typename Container::value_type&& (since C++20)
   value );
   Inserts the given value value to the container.
   1) Results in container->push_back(value)
   2) Results in container->push_back(std::move(value))

Parameters
   value - the value to insert

Return value
   *this

Example
// Run this code
 #include <iostream>
 #include <iterator>
 #include <deque>
 int main()
 {
     std::deque<int> q;
     std::back_insert_iterator< std::deque<int> > it(q);
     for (int i=0; i<10; ++i)
         it = i; // calls q.push_back(i)
     for (auto& elem : q) std::cout << elem << ' ';
 }

Output:
 0 1 2 3 4 5 6 7 8 9